import { EntryForBuild } from "./RouteEntryPlugin";
export interface CheckRoute {
    (entryName: string, done: () => void): void;
}
export interface AfterEntryBuild {
    (entryName: string): void;
}
export declare enum EntryStatus {
    ADDED = 0,
    BUILDING = 1,
    BUILT = 2
}
export interface BuiltEntry {
    [index: string]: EntryStatus;
}
export interface AllEntries {
    [entryName: string]: string;
}
export interface RouteEntryOptions {
    afterEntryBuild: AfterEntryBuild;
    initEntry: string[];
    devMiddleware: any;
    allEntries: AllEntries;
}
export declare class Invalidator {
    private devMiddleware;
    private building;
    private rebuildAgain;
    constructor(devMiddleware: any);
    invalidate(): void;
    startBuilding(): void;
    doneBuilding(): void;
}
export declare class RouteEntry {
    private builtEntries;
    private invalidator;
    private allEntries;
    private doneCallbacks;
    private afterEntryBuild;
    constructor(o: RouteEntryOptions);
    private addEntry;
    private setBuilding;
    startBuild: () => void;
    finishBuild: () => void;
    getEntriesForBuild(): EntryForBuild[];
    checkRoute: CheckRoute;
}
