"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_1 = require("../utils/webpack");
class RouteEntryPlugin {
    constructor(options) {
        this.options = options;
    }
    apply(compiler) {
        const name = "RouteEntryPlugin";
        compiler.hooks.make.tapAsync(name, (compilation, done) => {
            const allEntries = this.options
                .getEntriesForBuild()
                .map(({ name, entry }) => webpack_1.addWebpackEntry(compilation, compiler.context, name, entry));
            Promise.all(allEntries)
                .then(() => done())
                .catch(done);
        });
        compiler.hooks.done.tap(name, this.options.done);
    }
}
exports.RouteEntryPlugin = RouteEntryPlugin;
//# sourceMappingURL=RouteEntryPlugin.js.map