import * as webpack from "webpack";
export declare type MessageType = "progress" | "operations" | "status" | "log" | "entry";
export interface MessageHandler {
    [messageType: string]: () => void;
}
export interface Data {
    type: MessageType;
    value: any;
}
export interface ActionData {
    value: string;
}
export declare class Dashboard {
    screen: any;
    progressbar: any;
    log: any;
    logText: any;
    color: string;
    wrapper: any;
    status: any;
    operations: any;
    progress: any;
    entry: any;
    entryText: any;
    entryMap: {
        [entry: string]: boolean;
    };
    constructor(title?: string);
    mapNavigationKeysToScrollLog(): void;
    layoutEntry(): void;
    layoutLog(): void;
    layoutStatus(): void;
    setProgress(val: string): void;
    setOperations(val: string): void;
    setStatus(val: string): void;
    setStats(data: webpack.Stats): void;
    todo(name: string): void;
    setLog(val: string): void;
    setEntry(entry: string): void;
    clear(): void;
    setData(dataArray: Data[]): void;
}
export declare function getDashboard(title?: string): Dashboard;
