"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const SearchCheckbox = require("inquirer-search-checkbox");
const getEntryByKey_1 = require("./getEntryByKey");
const index_1 = require("./index");
inquirer.registerPrompt("SearchCheckbox", SearchCheckbox);
const LAST_KEY = "<LAST>";
function readCustomEntry(entry, rootPath, auto) {
    return __awaiter(this, void 0, void 0, function* () {
        if (Array.isArray(entry)) {
            // 数组entry直接返回;
            return entry;
        }
        let keys = [index_1.ALL_KEY, LAST_KEY].concat(Object.keys(entry));
        const answers = yield inquirer.prompt([
            {
                type: "SearchCheckbox",
                name: "key",
                message: `Select your webpack entry (${keys.length})`,
                choices: keys.map(name => ({
                    name
                })),
                pageSize: 6,
                validate(answer) {
                    if (answer.length < 1) {
                        return "You must choose at least one entry.";
                    }
                    return true;
                }
            }
        ]);
        return getEntryByKey_1.getEntryByKey(answers.key, entry, rootPath);
    });
}
exports.readCustomEntry = readCustomEntry;
//# sourceMappingURL=readCustomEntry.js.map