"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fse = require("fs-extra");
const inquirer = require("inquirer");
const SearchCheckbox = require("inquirer-search-checkbox");
const Git_1 = require("../utils/Git");
const utils_1 = require("../utils");
const config_1 = require("../config");
inquirer.registerPrompt("SearchCheckbox", SearchCheckbox);
const CACHE_FILE = `./${config_1.HOME_DIR}/auto-entry`;
const git = new Git_1.default();
function updateAutoEntry() {
    return __awaiter(this, void 0, void 0, function* () {
        const latestCommit = yield git.getLatestCommit();
        const files = yield git.getFilesByCommits([latestCommit]);
        if (files.length === 1 && files[0].includes("auto-entry")) {
            // prevent useless cycle commit
            return;
        }
        fse.writeFile(CACHE_FILE, latestCommit, "utf8").then(() => __awaiter(this, void 0, void 0, function* () {
            const msg = "Auto update ezpack auto-entry";
            yield git.add(CACHE_FILE);
            yield git.commit(msg);
            git.push().catch(e => {
                utils_1.printWarn(`${msg} fail.`);
            });
        }));
    });
}
exports.updateAutoEntry = updateAutoEntry;
//# sourceMappingURL=updateAutoEntry.js.map