"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TerserPlugin = require("terser-webpack-plugin");
const config_1 = require("../../config");
/**
 *
 * @param sourceMap
 * @param HOME_DIR
 */
function genUglifyJsPlugin(sourceMap, HOME_DIR) {
    // https://github.com/webpack-contrib/terser-webpack-plugin
    return new TerserPlugin({
        cache: `${HOME_DIR}/terser-webpack-plugin`,
        parallel: config_1.CPUS,
        sourceMap,
        terserOptions: {
            ie8: false,
            compress: {
                drop_console: true
            }
        }
    });
}
exports.genUglifyJsPlugin = genUglifyJsPlugin;
exports.default = genUglifyJsPlugin;
//# sourceMappingURL=genUglifyJsPlugin.js.map