"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack = require("webpack");
const merge = require("webpack-merge");
const DashboardPlugin_1 = require("../devServer/dashboard/DashboardPlugin");
const config_1 = require("../config");
const base_config_1 = require("./base.config");
function genDevConfig(options, name, devPort) {
    let { cdnPath } = options;
    if (typeof cdnPath === "object") {
        cdnPath = cdnPath.uat;
    }
    options.cdnPath = cdnPath;
    const baseConfig = base_config_1.genConfig(options, name, false, devPort);
    return merge(baseConfig, {
        output: {
            publicPath: `http://${config_1.localIP}:${devPort}/`,
            filename: "[name].js",
            chunkFilename: "[name].chunk.js",
            path: options.outputPath
        },
        devtool: "cheap-module-eval-source-map",
        plugins: [
            new webpack.DefinePlugin({
                "process.env.NODE_ENV": JSON.stringify("development")
            }),
            new webpack.NamedModulesPlugin(),
            new webpack.HotModuleReplacementPlugin(),
            new DashboardPlugin_1.DashboardPlugin()
        ]
    });
}
exports.genDevConfig = genDevConfig;
//# sourceMappingURL=dev.config.js.map