import * as inquirer from "inquirer";
import * as SearchCheckbox from "inquirer-search-checkbox";
import { getEntryByKey } from "./getEntryByKey";
import { ALL_KEY } from "./index";

inquirer.registerPrompt("SearchCheckbox", SearchCheckbox);

const LAST_KEY = "<LAST>";

export async function readCustomEntry(entry, rootPath: string, auto?: boolean) {
	if (Array.isArray(entry)) {
		// 数组entry直接返回;
		return entry;
	}

	let keys = [ALL_KEY, LAST_KEY].concat(Object.keys(entry));

	const answers = await inquirer.prompt([
		{
			type: "SearchCheckbox",
			name: "key",
			message: `Select your webpack entry (${keys.length})`,
			choices: keys.map(name => ({
				name
			})),
			pageSize: 6,
			validate(answer) {
				if (answer.length < 1) {
					return "You must choose at least one entry.";
				}
				return true;
			}
		}
	]);

	return getEntryByKey(answers.key, entry, rootPath);
}
