import * as fse from "fs-extra";
import * as inquirer from "inquirer";
import * as SearchCheckbox from "inquirer-search-checkbox";
import Git from "../utils/Git";
import { printWarn } from "../utils";
import { HOME_DIR } from "../config";

inquirer.registerPrompt("SearchCheckbox", SearchCheckbox);

const CACHE_FILE = `./${HOME_DIR}/auto-entry`;
const git = new Git();

export async function updateAutoEntry() {
	const latestCommit = await git.getLatestCommit();
	const files = await git.getFilesByCommits([latestCommit]);
	if (files.length === 1 && files[0].includes("auto-entry")) {
		// prevent useless cycle commit
		return;
	}

	fse.writeFile(CACHE_FILE, latestCommit, "utf8").then(async () => {
		const msg = "Auto update ezpack auto-entry";
		await git.add(CACHE_FILE);
		await git.commit(msg);
		git.push().catch(e => {
			printWarn(`${msg} fail.`);
		});
	});
}
