import * as DynamicEntryPlugin from "webpack/lib/DynamicEntryPlugin";
import * as webpack from "webpack";

export function addWebpackEntry(
	compilation: webpack.compilation.Compilation,
	context,
	name: string,
	entry: string
): Promise<never> {
	return new Promise((resolve, reject) => {
		const dep = DynamicEntryPlugin.createDependency(entry, name);
		compilation.addEntry(context, dep, name, err => {
			if (err) return reject(err);
			resolve();
		});
	});
}
