import * as TerserPlugin from "terser-webpack-plugin";
import { CPUS } from "../../config";
/**
 *
 * @param sourceMap
 * @param HOME_DIR
 */
export function genUglifyJsPlugin(sourceMap, HOME_DIR): TerserPlugin {
	// https://github.com/webpack-contrib/terser-webpack-plugin
	return new TerserPlugin({
		cache: `${HOME_DIR}/terser-webpack-plugin`,
		parallel: CPUS,
		sourceMap,
		terserOptions: {
			ie8: false,
			compress: {
				drop_console: true
			}
		}
	});
}

export default genUglifyJsPlugin;
